Loading...
Searching...
No Matches
Catch::StringMaker< std::chrono::time_point< std::chrono::system_clock, Duration > > Struct Template Reference

`#include <catch_amalgamated.hpp>`

## Static Public Member Functions

static std::string | convert (std::chrono::time_point< std::chrono::system_clock, Duration > const &time_point)
static std::enable_if_t<::Catch::Detail::IsStreamInsertable< Fake >::value, std::string > | convert (const Fake &value)
static std::enable_if_t<!::Catch::Detail::IsStreamInsertable< Fake >::value, std::string > | convert (const Fake &value)

## Member Function Documentation

## convert() [1/3]

static std::enable_if_t<::Catch::Detail::IsStreamInsertable< Fake >::value, std::string > Catch::StringMaker< std::chrono::time_point< std::chrono::system_clock, Duration >, typename >::convert | ( | const Fake & | value | ) |

inlinestatic

## convert() [2/3]

static std::enable_if_t<!::Catch::Detail::IsStreamInsertable< Fake >::value, std::string > Catch::StringMaker< std::chrono::time_point< std::chrono::system_clock, Duration >, typename >::convert | ( | const Fake & | value | ) |

inlinestatic

## convert() [3/3]

template<typename Duration>

static std::string Catch::StringMaker< std::chrono::time_point< std::chrono::system_clock, Duration > >::convert | ( | std::chrono::time_point< std::chrono::system_clock, Duration > const & | time_point | ) |

inlinestatic

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp